Flag a message
curl --request POST \
--url https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/flagged \
--header 'Content-Type: application/json' \
--header 'onBehalfOf: <onbehalfof>' \
--data '
{
"reasonId": "<string>",
"remark": "<string>"
}
'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/flagged"
payload = {
"reasonId": "<string>",
"remark": "<string>"
}
headers = {
"onBehalfOf": "<onbehalfof>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {onBehalfOf: '<onbehalfof>', 'Content-Type': 'application/json'},
body: JSON.stringify({reasonId: '<string>', remark: '<string>'})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/messages/{id}/flagged', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}Flagged Messages
Flag a message
Flag a CometChat message by message ID with REST API to send it into the moderation review workflow.
POST
/
messages
/
{id}
/
flagged
Flag a message
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
Id of the message to be flagged.
Body
application/json
Response
200 - application/json
Message flagged successfully.
Was this page helpful?
⌘I